<?php
/*
 * @author: CloudZA(云之安) <2922619853@qq.com>
 * @hitokoto: 一场秋雨一场凉，秋心酌满泪为霜。
 * Copyright (c) 2022 by CloudZA, All Rights Reserved.
 */

$web_base       = Db::table('app_web')
                    ->find();
$admin_info     = Db::table('app_admin' , 'AS A')
                    ->field('A.usernick,A.userqq')
                    ->find();
$payment_config = Db::table('payment_config')
                    ->find();
const __STATIC__ = '/assets/';
/**
 * JS目录
 */
const __JS__ = __STATIC__ . 'js/';
/**
 * CSS目录
 */
const __CSS__ = __STATIC__ . 'css/';

/**
 * ChatGPT 列表
 */
const __API_LIST__ = [
    'https://api.osuu.cc/proxy' ,
    'https://openai.osuu.cc/proxy' ,
    'https://openai.zhian.pro/api'
];

define("WEB_NAME" , $web_base[ 'site_name' ]);      // 网站名称
define("WEB_TITLE" , $web_base[ 'site_title' ]);    // 网站标题
define("WEB_DESC" , $web_base[ 'site_desc' ]);      // 网站描述
define("WEB_KEY" , $web_base[ 'site_keywords' ]);   // 网站关键词
define("PAGE_SIZE" , $web_base[ 'site_item_num' ]); // 表格每页条数
define("ADMNICK" , $admin_info[ 'usernick' ]);      // 管理员昵称
define("ADMQQ" , $admin_info[ 'userqq' ]);          // 管理员QQ
define("FOOTER" , $web_base[ 'footer' ]);

/**
 * 网站公告开关
 */
define('__NOTICE__' , $web_base[ 'site_notice_status' ]);

/**
 * 网站公告内容
 */
define('__NOTICE_CONTENT' , replaceEnterWithBr($web_base[ 'site_notice' ]));

/**
 * 系统状态
 */
define('__SYSTEM_MAINTENANCE__' , $web_base[ 'system_maintenance' ]);

/**
 * 已经选择的 ChatGpt Api 地址
 */
define('GPTAPI' , $web_base[ 'openai_api' ]);

/**
 * Redis地址
 */
define("__RedisHost__" , $web_base[ 'redis_address' ]);

/**
 * Redis端口
 */
define("__RedisPort__" , $web_base[ 'redis_port' ]);

/**
 * Redis密码
 */
define("__RedisPass__" , $web_base[ 'redis_password' ]);

/**
 * 接口允许的请求次数
 */
define("__RedisLimit__" , $web_base[ 'api_request_limit' ]);

/**
 * 接口速率限制的时间间隔
 */
define("__RedisInterval__" , $web_base[ 'api_request_interval' ]);

/**
 * 验证码前缀
 */
define("__CodeRef__" , $web_base[ 'code_prefix' ]);

/**
 * 验证码长度
 */
define("__CodeLen__" , $web_base[ 'code_length' ]);

/**
 * 验证码有效期
 */
define("__CodeExp__" , $web_base[ 'code_exp_time' ]);

/**
 * 当前域名
 */
define('URL' , ( isset($_SERVER[ 'HTTPS' ]) && $_SERVER[ 'HTTPS' ] === 'on' ? "https" : "http" ) . "://" . $_SERVER[ 'HTTP_HOST' ] . "/");


/**
 * 是否允许注册
 */
define('__ALLOW_REGISTRATION__' , $web_base[ 'allow_registration' ]);

/**
 * 注册额度
 */
define('__REG_LIMIT__' , $web_base[ 'reg_chat_limit' ]);

/**
 * 违禁词列表
 */
define('__BAD_WORDS__' , $web_base[ 'bad_words' ]);
/**
 * 是否启用邮箱验证
 */
define('__ENABLE_EMAIL_VERIFICATION__' , $web_base[ 'enable_email_verification' ]);

/**
 * 是否启用卡密开通会员
 */
define('__ENABLE_MEMBERSHIP_ACTIVATION_CODE__' , $web_base[ 'enable_membership_activation_code' ]);

/**
 * 是否启用在线开通会员
 */
define('__ENABLE_ONLINE_MEMBERSHIP__' , $web_base[ 'enable_online_membership' ]);

/**
 * 是否启用填写本地Key
 */
define('__ENABLE_LOCAL_KEY_INPUT__' , $web_base[ 'enable_local_key_input' ]);

/**
 * 支付渠道信息
 */
define('__BRANCH__' , $payment_config[ 'pay_branch' ]);

/**
 * 微信支付mchid
 */
define('__WX_MCHID__' , $payment_config[ 'wx_mchid' ]);

/**
 * 微信公众号ID
 */
define('__WX_APPID__' , $payment_config[ 'wx_appid' ]);

/**
 * 微信支付API密钥
 */
define('__WX_KEY__' , $payment_config[ 'wx_key' ]);

/**
 * 微信商户API证书文件路径
 */
define('__WX_CERT_ROUTE__' , $payment_config[ 'cert_route' ]);

/**
 * 微信API证书密钥文件路径
 */
define('__WX_KEY_ROUTE__' , $payment_config[ 'key_route' ]);

/**
 * 支付宝应用ID
 */
define('__ALI_APPID__' , $payment_config[ 'ali_appid' ]);

/**
 * 支付宝商户私钥
 */
define('__ALI_PRIVATE_KEY__' , $payment_config[ 'ali_private_key' ]);

/**
 * 支付宝商户公钥
 */
define('__ALI_PUBLIC_KEY__' , $payment_config[ 'ali_public_key' ]);

/**
 * 易支付API地址
 */
define('__EPAY_URL__' , $payment_config[ 'epay_api_url' ]);

/**
 * 易支付商户ID
 */
define('__EPAY_APPID__' , $payment_config[ 'epay_appid' ]);

/**
 * 易支付商户密钥
 */
define('__EPAY_KEY__' , $payment_config[ 'epay_key' ]);











